If the Mac App Store stops responding when you try to install iMovie

The Mac App Store might stop responding when iMovie is installed for the first time on an unsupported version of Mac OS.

You need to have OS X Yosemite 10.10.2 before you can buy iMovie 10.0.7 from the Mac App Store. If you're using an earlier version of OS X Yosemite (10.10.0–10.10.1), the Mac App Store stops responding when you try to install the latest version of iMovie.

To resolve the issue, update to OS X 10.10.2 or later before you buy iMovie.

Published Date: